<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>cn.quant.baa.pay</groupId>
    <artifactId>baa-pay</artifactId>
    <name>baa-pay</name>
    <version>1.0.0</version>
    <packaging>pom</packaging>

    <properties>
        <skipTests>true</skipTests>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.compiler.encoding>UTF-8</maven.compiler.encoding>
        <maven-compiler.version>3.1</maven-compiler.version>
        <maven-source.version>3.1.0</maven-source.version>
        <maven-deploy.version>2.8</maven-deploy.version>
        <maven-archetype.version>3.1.2</maven-archetype.version>
        <maven-resources.version>3.1.0</maven-resources.version>
        <maven-jar.version>3.1.2</maven-jar.version>
        <mybatis-spring-boot.version>2.1.0</mybatis-spring-boot.version>
        <mybatis-generator-maven.version>1.3.4</mybatis-generator-maven.version>
        <pagehelper-spring-boot.version>1.2.3</pagehelper-spring-boot.version>
        <spring-boot-maven.version>2.2.9.RELEASE</spring-boot-maven.version>
        <project.logging.path>/</project.logging.path>
        <project.package.name>${project.name}-${project.version}</project.package.name>
    </properties>

    <profiles>
        <profile>
            <id>dev</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <spring.profiles.active>dev</spring.profiles.active>
                <logging.level>DEBUG</logging.level>
                <logging.dir>${project.logging.path}tmp/logs</logging.dir>
            </properties>
        </profile>
        <profile>
            <id>test</id>
            <properties>
                <spring.profiles.active>test</spring.profiles.active>
                <logging.level>DEBUG</logging.level>
                <logging.dir>${project.logging.path}tmp/logs</logging.dir>
            </properties>
        </profile>
        <profile>
            <id>pre</id>
            <properties>
                <spring.profiles.active>pre</spring.profiles.active>
                <logging.level>INFO</logging.level>
                <logging.dir>${project.logging.path}tmp/logs</logging.dir>
            </properties>
        </profile>
        <profile>
            <id>pro</id>
            <properties>
                <spring.profiles.active>pro</spring.profiles.active>
                <logging.level>INFO</logging.level>
                <logging.dir>${project.logging.path}tmp/logs</logging.dir>
            </properties>
        </profile>
    </profiles>

    <dependencyManagement>
        <!--use this dependencies if the project is parent-->

        <dependencies>
            <dependency>
                <groupId>cn.quant.spring.boot</groupId>
                <artifactId>quant-spring-boot-dependencies</artifactId>
                <version>2.2.1-SNAPSHOT</version>
                <scope>import</scope>
                <type>pom</type>
            </dependency>
        </dependencies>

    </dependencyManagement>

    <modules>
        <module>baa-pay-server</module>
        <module>baa-pay-core</module>
        <module>baa-pay-api</module>
        <module>baa-pay-notice</module>
    </modules>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <version>${spring-boot-maven.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${maven-compiler.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>${maven-resources.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>${maven-deploy.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-archetype-plugin</artifactId>
                    <version>${maven-archetype.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.mybatis.generator</groupId>
                    <artifactId>mybatis-generator-maven-plugin</artifactId>
                    <version>${mybatis-generator-maven.version}</version>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>
